package com.jasamedika.medifirst2000.dao.custom;

import java.util.List;
import java.util.Map;

import com.jasamedika.medifirst2000.dao.custom.base.CoreDao;
import com.jasamedika.medifirst2000.entities.LimbahB3Masuk;

/**
 * 
 * @author Roberto
 */
public interface LimbahB3MasukDaoCustom extends CoreDao<LimbahB3Masuk> {
	
	List<Map<String, Object>> findList(int rowStart, int rowEnd, String sort,String dir, String dateStart, String dateEnd, Integer jenisLimbah);
	
	Integer findCount( String sort, String dateStart, String dateEnd, Integer jenisLibah);
	
	List<Map<String, Object>> findListByPeriodeV2(String startDate, String endDate);
	
	Map<String, Object> findByNoRec(String noRec);
	
}
